Bug 174761 - slang 2.x doesn't enable UTF-8 by default
slang 2.x doesn't enable UTF-8 by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: slang (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Raszyk
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-12-01 17:38 EST by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: slang-2.0.5 Release 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-02 07:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this issue (430 bytes, patch)
2005-12-01 18:32 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Jeremy Katz 2005-12-01 17:38:00 EST
slang 2.x doesn't automatically determine if it should enable UTF-8 mode causing
crappy line-drawing code in all slang-using apps.  

slang should be figuring out on its own if it should enable its UTF-8 mode based
on LANG (... or just have it always enabled)

This is a regression from 1.4.x
Comment 1 Bill Nottingham 2005-12-01 18:32:04 EST
Created attachment 121722 [details]
patch for this issue

This fixes it - it calls the function that sets up the UTF-8 support based on
locale.
Comment 2 Petr Raszyk 2005-12-02 07:25:21 EST
Thanks.

We call now:
( SLcurses_initscr() ) -> SLsmg_init_smg() -> SLutf8_enable() -> utf8_enable()
and then query:
      nl_langinfo (LC_CTYPE);
      getenv("LC_ALL");
      getenv("LC_CTYPE");
      getenv("LANG");
      
      
 

Note You need to log in before you can comment on or make changes to this bug.